Bug 1030968 - Review Request: python-micawber - Python library for extracting rich content from URLs
Review Request: python-micawber - Python library for extracting rich content ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sachidananda Urs
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 1010741
  Show dependency treegraph
 
Reported: 2013-11-15 07:33 EST by Christopher Meng
Modified: 2017-02-13 10:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
surs: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-15 07:33:15 EST
Spec URL: http://cicku.me/python-micawber.spec
SRPM URL: http://cicku.me/python-micawber-0.3.0-1.fc21.src.rpm
Description: micawber is a small library for extracting rich content from URLs. It supplies a few methods for retrieving rich metadata about a variety of links, such as links to youtube videos. micawber also provides functions for parsing blocks of text and html and replacing links to videos with rich embedded content.
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-11-17 10:13:43 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6190605

$ rpmlint -i -v *python3-micawber.noarch: I: checking
python3-micawber.noarch: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
The value of this tag appears to be misspelled. Please double-check.

python3-micawber.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python3-micawber.noarch: W: spelling-error %description -l en_US youtube -> you tube, you-tube, YouTube
The value of this tag appears to be misspelled. Please double-check.

python3-micawber.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python3-micawber.noarch: I: checking-url http://github.com/coleifer/micawber/ (timeout 10 seconds)
python3-micawber.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/examples/django_ex/manage.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python3-micawber.noarch: E: zero-length /usr/lib/python3.3/site-packages/micawber/contrib/mcdjango/mcdjango_tests/models.py
python3-micawber.noarch: E: zero-length /usr/lib/python3.3/site-packages/micawber/contrib/mcdjango/models.py
python-micawber.noarch: I: checking
python-micawber.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-micawber.noarch: W: spelling-error %description -l en_US youtube -> you tube, you-tube, YouTube
The value of this tag appears to be misspelled. Please double-check.

python-micawber.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-micawber.noarch: I: checking-url http://github.com/coleifer/micawber/ (timeout 10 seconds)
python-micawber.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/examples/django_ex/manage.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-micawber.noarch: E: zero-length /usr/lib/python2.7/site-packages/micawber/contrib/mcdjango/mcdjango_tests/models.py
python-micawber.noarch: E: zero-length /usr/lib/python2.7/site-packages/micawber/contrib/mcdjango/models.py
python-micawber.src: I: checking
python-micawber.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
The value of this tag appears to be misspelled. Please double-check.

python-micawber.src: W: spelling-error %description -l en_US youtube -> you tube, you-tube, YouTube
The value of this tag appears to be misspelled. Please double-check.

python-micawber.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-micawber.src: I: checking-url http://github.com/coleifer/micawber/ (timeout 10 seconds)
python-micawber.src:56: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:56: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:56: W: macro-in-comment %{__python2}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:57: W: macro-in-comment %{py3dir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:58: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:58: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src:58: W: macro-in-comment %{__python3}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.src: I: checking-url https://pypi.python.org/packages/source/m/micawber/micawber-0.3.0.tar.gz (timeout 10 seconds)
python-micawber.spec:56: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:56: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:56: W: macro-in-comment %{__python2}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:57: W: macro-in-comment %{py3dir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:58: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:58: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec:58: W: macro-in-comment %{__python3}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

python-micawber.spec: I: checking-url https://pypi.python.org/packages/source/m/micawber/micawber-0.3.0.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 6 errors, 24 warnings.

Please fix the file headers. We don't use the "env" style anymore, and scripts in %{python?_sitelib} don't use shebangs at all.

Escape the macros in the comments in the %check section to avoid unexpected behavior.

"urls" is a terrible construct. Use "URLs" instead.

Have a look at the test scripts. I don't assume that we really need empty files, unless they serve as placeholders for something. Otherwise, remove them.
Comment 2 Sachidananda Urs 2016-12-26 03:24:16 EST
This is un-official review of the package:
Comment 3 Sachidananda Urs 2016-12-26 03:24:54 EST
I'm not able to find the SRPM, the link is broken.

fedora-review -b 1030968
INFO: Processing bugzilla bug: 1030968
INFO: Getting .spec and .srpm Urls from : 1030968
INFO:   --> SRPM url: http://cicku.me/python-micawber-0.3.0-1.fc21.src.rpm
INFO:   --> Spec url: http://cicku.me/python-micawber.spec
INFO: Using review directory: /tmp/1030968-python-micawber
INFO: Downloading .spec and .srpm files
ERROR: 'Error 404 downloading http://cicku.me/python-micawber-0.3.0-1.fc21.src.rpm' (logs in /home/sac/.cache/fedora-review.log)

Note You need to log in before you can comment on or make changes to this bug.